---
wsId: midas
title: Midas Protocol - Crypto Wallet
altTitle: 
authors:
- kiwilamb
appId: com.midasprotocol.wallet.ios
appCountry: 
idd: 1436698193
released: 2018-09-24
updated: 2021-11-12
version: 2.0.8
stars: 4.9
reviews: 79
size: '145725440'
website: https://midasprotocol.io/
repository: 
issue: 
icon: com.midasprotocol.wallet.ios.jpg
bugbounty: 
meta: ok
verdict: custodial
date: 2021-05-01
signer: 
reviewArchive: 
twitter: MidasProtocol
social:
- https://www.facebook.com/midasprotocol.io

---

No statements regarding private key managment can be found on the [providers website](https://midasprotocol.io/) or [Support section](https://support.midasprotocol.io/hc/en-us).
It would be prudent to assume the private keys are under the control of the provider.


Our verdict: This 'wallet' is custodial and therefore is **not verifiable**.